## org.apache.commons.math.ode
Class MultistepIntegrator.InitializationCompletedMarkerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ode.DerivativeException
                      org.apache.commons.math.ode.MultistepIntegrator.InitializationCompletedMarkerException

All Implemented Interfaces:
  Serializable, MathThrowable

Enclosing class:
  MultistepIntegrator

    private static class MultistepIntegrator.InitializationCompletedMarkerException

extends DerivativeException

Marker exception used ONLY to stop the starter integrator after first step.

Field Summary
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`MultistepIntegrator.InitializationCompletedMarkerException()` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### MultistepIntegrator.InitializationCompletedMarkerException

    public MultistepIntegrator.InitializationCompletedMarkerException()

  Simple constructor.

Copyright (c) 2003-2013 Apache Software Foundation